
Public Support - Support Request #11768

Adapt path to store license file from server

2020-07-21 16:05 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: BOSCH Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-10528

Department: CC-DA/ETV Affected Products: ADTF 3.7.1

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::License

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

question: how can I force the generation of the license file to one configured/specified directory path?

Invoking this below, a license file is generated here: C:\Users\myuser\AppData\Local\Temp and is

called=adtf_tmp_license.lic_32740890000

echo off

set AdtfPath=%C:\tools\common\adtf\adtf3\adtf-3.7.1-WIN10_x64_vc141\bin%

SET currentPath=%cd%

%AdtfPath%\licenser_tool.exe --server --host rb-lic1-adtf.de.bosch.com --port 1400 --volume 

adtf_developer_v3 --load  > %currentPath%\RB_Adtf3License.log

cd %currentPath%

 Lösung

ACORE-10528 created, make sense to make the path available.

But just for scripting issues it's enough to just request a license using licenser_tool, no matter where it ahs to be stored, the stored file

must not be reused.

History

#1 - 2020-07-21 17:59 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::License

Hi Bane,

this has not been a requirement so far, so its stored in the user directory.

Why do you need anywhere else ?

I don't really know the use case for a server request by far...

We can extend the call with an optional argument for an alternate path.

Is this your request ?

Workaround:

Take the file from the home directory, store anywhere and reset the registry entry by licenser_tool --load <new/path/to/file/*.lic>

#2 - 2020-07-22 07:44 - hidden

Hi Florian,

the workaround is OK, however we will need this feature for an automated setup.

Yes please add an optional argument. thanks!
#3 - 2020-07-23 18:32 - hidden

- Status changed from In Progress to Customer Feedback Required

Hi Bane,

I will create this request, but I don't think you need it for automazation:

You can request a server license with the licenser tool before adtf launcher start anytime.

Copying and loading a server license file makes no sense in my mind... and no benefit comared to request a file.

The only benefit to specify the path is to know it exactly.

What is your purpose ?

#4 - 2020-07-29 17:24 - hidden

- Subject changed from license file generation to Adapt path to store license file from server

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10528

#5 - 2020-10-13 12:01 - hidden

Sorry for the late response. The purpose is automated PC SW Setup with ADTF.

It is not clear to me how to do this otherwise...

#6 - 2020-10-13 13:34 - hidden

- Status changed from To Be Closed to Customer Feedback Required

Hi Bane,

that's why I am saying there is no need set a path because you have to load it anyway...

Before calling adtf (Launcher, CE, ...) you can call the licenser_tool and request a server license right in time, like:

licenser_tool --server --host myserverurl --port 1234 --volume my_fancy_volume_name

adtf_launcher ...

 Reloading a requested server file makes no sense, because its node locked and already set, no matter where.

If not set, just request like mentioned above.

Anyway, you can also use by setting an environment_variable ADTF_LICENSE_FILE pointing to the path.

However, using ADTF 3.9.x makes it possible to specify the store path.

For all these information see

https://support.digitalwerk.net/adtf/v3/guides/tools_licenser_tool.html

#7 - 2020-10-19 14:12 - hidden

- Project changed from 5 to Public Support

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#8 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
